package benno.globe;

import java.util.*;
import java.io.*;
import java.net.*;
import java.awt.Color;

/** 

@version $Revision: 1.6 $
@author Ben Clifford

*/


public class MarkerCompiler implements MarkerProvider
{

	public MarkerSet get(URL url) 
	{
		MarkerSet markerset = new MarkerSet();
		try {
			DataFileEnumeration en = new DataFileEnumeration(url);

			while(true)
			{
				double lo, la;
				String tx, urlstr;
				String colstr = null;
                                int r = 255;
                                int g = 255;
                                int b = 255;
				java.net.URL u = null;

				la = en.nextDouble();
				lo = en.nextDouble();
				tx = en.nextString();

/*
				colstr = en.nextString();

                                int coloff1 = colstr.indexOf(":");
                                if(-1!=coloff1)
                                {
			            System.out.println("Processing marker color");
                                    r = Integer.parseInt(colstr.substring(0,coloff1));   
                                    int coloff2 = colstr.indexOf(":", coloff1+1);
                                    if(-1!=coloff2)
                                    {
                                       g = Integer.parseInt(colstr.substring(coloff1+1,coloff2));
                                       int coloff3 = colstr.indexOf(":", coloff2+1);
                                       if(-1!=coloff3)
                                       {
                                             b = Integer.parseInt(colstr.substring(coloff2+1,coloff3));
                                       }
                                    }
                                }
 */
                               
				int off = tx.indexOf(">>");
				if(-1!=off)
				{
					System.out.println("Processing >> mark");
					urlstr = tx.substring(off+2);
					tx = tx.substring(0,off);
					u = new java.net.URL(url,urlstr);
					System.out.println("Title:"+tx);
					System.out.println("URLSTR:"+urlstr);
					System.out.println("URL:"+u.toString());
				}


/*				markerset.markers.addElement(  new Marker(tx,new LongLat(lo,la), u, 
                                        new Color(r,g,b))  );
*/
				markerset.markers.addElement(  new Marker(tx,new LongLat(lo,la), u, 
                                        null)  );

			}
		} catch(IOException iex) // assume this means no more data left
			{
				return markerset;
			}
		catch(Exception tie)
		{
			System.err.println("got an exception while sleeping... ignoring.");
		return markerset;
		}

	}
}

