package benno.sort;
import java.util.*;

public class VectorDupeRemover
{
	public static Vector removeDupes(Vector v, Ordering o)
	{
		Vector sorted = VectorSorter.sort(v,o);
		Vector result = new Vector();
		Object last = null;
		Enumeration e = sorted.elements();
		while(e.hasMoreElements())
		{
			Object next = e.nextElement();
			if(0!=o.compare(last,next)) // they are different
			{
				result.addElement(next);
				last=next;
			}
		}
		return result;
	}
}
