package benno.sort;
import java.util.*;

public class VectorRollup
{
	public static Vector rollup(Vector v, Ordering o)
	{
		Vector sorted = VectorSorter.sort(v,o);
		Vector result = new Vector(); // of Vectors
		Object last = null;
		Enumeration e = sorted.elements();
		while(e.hasMoreElements())
		{
			Object next = e.nextElement();
			if(0!=o.compare(last,next)) // they are different
			{
				// result.addElement(next);
				result.addElement(new Vector());
				( (Vector) result.elementAt(result.size()-1) ).addElement(next);
				last=next;
			}
			else
			{
				( (Vector) result.elementAt(result.size()-1) ).addElement(next);
			}
		}
		return result;
	}
}

